Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deString Class Reference

`#include <deString.hpp>`

List of all members.

## Public Member Functions
| deString ()
| deString (const char *rhs)
| deString (const deString &rhs)
| ~deString ()
long | Length () const
long | size () const
deString | operator+ (const deString &rhs) const
deString | operator+ (const char *rhs) const
const deString & | operator+= (const deString &rhs)
const deString & | operator+= (const char *rhs)
const deString & | operator+= (const char rhs)
const deString & | operator= (const deString &rhs)
const deString & | operator= (const char *rhs)
void | SetCaseSensitivity (deBoolean Sensitive)
deBoolean | operator== (const deString &rhs) const
deBoolean | operator== (const char *rhs) const
deBoolean | operator!= (const deString &rhs) const
deBoolean | operator!= (const char *rhs) const
char | operator[] (long index) const
char & | operator[] (long index)
void | operator<< (char c)
| concatenate a single character (signed)
void | operator<< (long l)
| concatenate an integer (signed)
void | operator<< (unsigned long ul)
| concatenate an integer (unsigned)
void | operator<< (int i)
void | operator<< (unsigned int ui)
void | operator<< (s64 i)
void | operator<< (u64 ui)
void | operator<< (float f)
| concatenate a fp number (float)
void | operator<< (double d)
| concatenate a fp number (double)
void | operator<< (const char *str)
| concatenate a string (char*)
void | operator<< (const deString &str)
| concatenate a string (deString)
int | Format (const char *format,...)
int | Find (char ToFind, deBoolean FindLast)
void | Replace (char Find, char Replace)
void | Split (char Splitter, deTArray< deString > &ResultStrings)
deBoolean | Strip (const deString &Stripped, deString &Result)
deString | SubString (int start, int stop)
const char * | const_str () const
char * | c_str ()
char * | Reserve (int Length)
deBoolean | Trim (int Length=-1)
void * | operator new (size_t Size)
void | operator delete (void *p)
void * | operator new (size_t Size, void *buffer)
void | operator delete (void *p, void *buffer)
void * | operator new[] (size_t Size)
void * | operator new[] (size_t Size, int, char *, int)
void | operator delete[] (void *p)
void | operator delete[] (void *p, int, char *, int)
## Private Member Functions
char * | Copy () const
void | Resize (long newsize)
## Private Attributes
long | m_Length
deBoolean | m_CaseSensitive
char * | m_String
long | m_Alloc

## Detailed Description

string utility class. deString2 offers better performance for string-intensive operations involving copies.

## Constructor & Destructor Documentation

deString::deString | ( |  | ) |

deString::deString | ( | const char * | rhs | ) |

deString::deString | ( | const deString & | rhs | ) |

deString::~deString | ( |  | ) |

## Member Function Documentation

char* deString::c_str | ( |  | ) | `[inline]`

const char* deString::const_str | ( |  | ) | const`[inline]`

char * deString::Copy | ( |  | ) | const`[private]`

int deString::Find | ( | char | ToFind,
|  | deBoolean | FindLast
| ) |

int deString::Format | ( | const char * | format,
|  | ... |
| ) |

long deString::Length | ( | void |  | ) | const`[inline]`

void deString::operator delete | ( | void * | p,
|  | void * | buffer
| ) |

void deString::operator delete | ( | void * | p | ) |

void deString::operator delete[] | ( | void * | p,
|  | int | ,
|  | char * | ,
|  | int |
| ) |

void deString::operator delete[] | ( | void * | p | ) |

void * deString::operator new | ( | size_t | Size,
|  | void * | buffer
| ) |

void * deString::operator new | ( | size_t | Size | ) |

void * deString::operator new[] | ( | size_t | Size,
|  | int | ,
|  | char * | ,
|  | int |
| ) |

void * deString::operator new[] | ( | size_t | Size | ) |

deBoolean deString::operator!= | ( | const char * | rhs | ) | const

deBoolean deString::operator!= | ( | const deString & | rhs | ) | const

deString deString::operator+ | ( | const char * | rhs | ) | const

deString deString::operator+ | ( | const deString & | rhs | ) | const

const deString & deString::operator+= | ( | const char | rhs | ) |

const deString & deString::operator+= | ( | const char * | rhs | ) |

const deString & deString::operator+= | ( | const deString & | rhs | ) |

void deString::operator<< | ( | const deString & | str | ) |

| concatenate a string (deString)

void deString::operator<< | ( | const char * | str | ) |

| concatenate a string (char*)

void deString::operator<< | ( | double | d | ) |

| concatenate a fp number (double)

void deString::operator<< | ( | float | f | ) |

| concatenate a fp number (float)

void deString::operator<< | ( | u64 | ui | ) |

void deString::operator<< | ( | s64 | i | ) |

void deString::operator<< | ( | unsigned int | ui | ) | `[inline]`

void deString::operator<< | ( | int | i | ) | `[inline]`

void deString::operator<< | ( | unsigned long | ul | ) |

| concatenate an integer (unsigned)

void deString::operator<< | ( | long | l | ) |

| concatenate an integer (signed)

void deString::operator<< | ( | char | c | ) |

| concatenate a single character (signed)

const deString & deString::operator= | ( | const char * | rhs | ) |

const deString & deString::operator= | ( | const deString & | rhs | ) |

deBoolean deString::operator== | ( | const char * | rhs | ) | const

deBoolean deString::operator== | ( | const deString & | rhs | ) | const

char & deString::operator[] | ( | long | index | ) |

char deString::operator[] | ( | long | index | ) | const

void deString::Replace | ( | char | Find,
|  | char | Replace
| ) |

char * deString::Reserve | ( | int | Length | ) |

void deString::Resize | ( | long | newsize | ) | `[private]`

void deString::SetCaseSensitivity | ( | deBoolean | Sensitive | ) |

long deString::size | ( |  | ) | const`[inline]`

void deString::Split | ( | char | Splitter,
|  | deTArray< deString > & | ResultStrings
| ) |

deBoolean deString::Strip | ( | const deString & | Stripped,
|  | deString & | Result
| ) |

deString deString::SubString | ( | int | start,
|  | int | stop
| ) |

deBoolean deString::Trim | ( | int | Length = -1 | ) |

## Member Data Documentation

long deString::m_Alloc`[private]`

deBoolean deString::m_CaseSensitive`[private]`

long deString::m_Length`[private]`

char* deString::m_String`[private]`

The documentation for this class was generated from the following files:

- deString.hpp
- deString.cpp